Skip to main content
PUT
Update resource report

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
https://console.vantage.sh/account/profile
Scopes1
write
Grants write access

Path Parameters

resource_report_token
string
required

Body

application/json

Update a ResourceReport.

title
string

The title of the ResourceReport.

filter
string

The filter query language to apply to the ResourceReport. Additional documentation available at https://docs.vantage.sh/vql.

columns
string[]

Array of column names to display in the table. Column names should match those returned by the /resource_reports/columns endpoint. The order determines the display order. Only available for reports with a single resource type filter.

folder_token
string

The token of the Folder to move the ResourceReport to.

Response

ResourceReport model

token
string
required
title
string
required

The title of the ResourceReport.

Example:

"Acme123 Active Resources"

filter
string | null
required

The filter applied to the ResourceReport. Additional documentation available at https://docs.vantage.sh/vql.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the ResourceReport is a part of.

user_token
string | null
required

The token for the User who created this ResourceReport.

created_by_token
string | null
required

The token for the User or Team who created this ResourceReport.

columns
string[]
required

Array of column names configured for the ResourceReport table display.

folder_token
string | null

The token for the Folder the ResourceReport is a part of.